package mildo.wiwo.compare;

import mildo.wiwo.compare.GoogleDiff.Diff;
import mildo.wiwo.compare.GoogleDiff.Operation;

public class GoogleDifference 
	implements IDifference
{

	public GoogleDifference(Diff aDiff) {
		difference = aDiff;
	}
	
	public String difference() {
		return difference.text;
	}

	public boolean noDifference() {
		return difference.operation == Operation.EQUAL;
	}

	public boolean wasAdded() {
		return difference.operation == Operation.INSERT;
	}

	public boolean wasDeleted() {
		return difference.operation == Operation.DELETE;
	}

	private Diff difference;
	
}
